import request from '@/utils/request'

// 查询资源占用详情列表
export function listDetail(query) {
  return request({
    url: '/aps_resource_occupation_detail/detail/list',
    method: 'get',
    params: query
  })
}

// 查询资源占用详情详细
export function getDetail(id) {
  return request({
    url: '/aps_resource_occupation_detail/detail/' + id,
    method: 'get'
  })
}

// 新增资源占用详情
export function addDetail(data) {
  return request({
    url: '/aps_resource_occupation_detail/detail',
    method: 'post',
    data: data
  })
}

// 修改资源占用详情
export function updateDetail(data) {
  return request({
    url: '/aps_resource_occupation_detail/detail',
    method: 'put',
    data: data
  })
}

// 删除资源占用详情
export function delDetail(id) {
  return request({
    url: '/aps_resource_occupation_detail/detail/' + id,
    method: 'delete'
  })
}
